Issue 25786

Summary: spell checker does not check capitalized words only lowercase words
Product: General Reporter: jasonk <jasonk1>
Component: spell checkingAssignee: issues@lingucomponent <issues>
Status: CLOSED NOT_AN_OOO_ISSUE QA Contact: issues@lingucomponent <issues>
Severity: Trivial    
Priority: P3 CC: issues, lars_o_hansen
Version: 3.3.0 or older (OOo)Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
document is all uppercase and contains spelling errors not caught none

Description jasonk 2004-02-23 03:40:10 UTC
A block of capitalized words is not spell checked at all, but it reports back as
complete (ok).  However if the case of the paragraph is changed to lower the
spell checker finds errors just fine.  Using redhat 9.  Here is a sample block
of capitalized text with 6 mistakes that the spell checker will miss:

PRECLOSES

	PASTA
FLIP AND FILL ALL PASTA ITEMS
MAKE SURE ALL VEGTABLES ARE FULL
CLEAN AND FILL DRESSING BOTTLES ROTAING ONE CLEAN OF EACH TYPE
TAKE ALL DIRTY DISHES TO DISH ROOM
CLEAN OUT FRIDGE
CHECK ALL MRDS AND TELL CLOSER WHAT HAS TO BE TROWN OUT
MAKE SURE BASKETS ARE LINED WITH PAPER
SHUT OFF PASTA OVEN
CLEAN OUT PASTA WELLL
Comment 1 jasonk 2004-02-23 03:42:01 UTC
Created attachment 13354 [details]
document is all uppercase and contains spelling errors not caught
Comment 2 suripally 2005-02-04 18:46:25 UTC
The bug is replicated in both doc and sxw formats in OOo 1.1.x. This is similar
to  issue 18737. This appears to be the bug in OOo 1.1.x.
Comment 3 ooolist2007 2005-08-15 13:02:13 UTC
There's an "check uppercase words" option that will, when set, also check 
words in all uppercase (just tried with m122). So I'm not sure this is a bug. 
Maybe that option should be on by default? 
 
Comment 4 lars 2005-11-17 18:56:24 UTC
if check uppercase words is enabled that text is checked. so this issue can be 
closed as INVALID.
Comment 5 lars 2005-11-17 18:56:44 UTC
if check uppercase words is enabled that text is checked. so this issue can be 
closed as INVALID.
Comment 6 ooolist2007 2005-11-17 19:53:56 UTC
closing, see previous comment. 
Comment 7 ace_dent 2008-05-17 21:11:06 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 8 ace_dent 2008-05-17 23:13:27 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew